/*
   client/testmodelview.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CLIENT_TESTMODELVIEW_H__
#define __INCLUDED_CLIENT_TESTMODELVIEW_H__

#include "ui/widget.h"
#include "ui/button.h"
#include "ui/iconbutton.h"
#include "ui/plaintext.h"
#include "ui/modelview.h"

namespace client
{

/// the world view when connected
class TestModelView : public ui::Widget
{
public:
	TestModelView(ui::Widget *parent = 0);
	virtual ~TestModelView();

	void set_modelname(const std::string & modelname);
	
	/// show the testmodelview
	virtual void show();

	/// hide the testmodelview
	virtual void hide();

protected:
	/// update model statistics
	virtual void draw();
	
	/// resize te testmodelview
	virtual void resize();
	
	/// draw a black background
	virtual void draw_background();
	
	/// emit event handler
	virtual bool on_emit(Widget *sender, const Event event, void *data);
	
private:
	ui::ModelView	*testmodelview_modelview;
	ui::PlainText	*testmodelview_text;
	ui::Button	*testmodelview_closebutton;
	ui::IconButton	*testmodelview_wireframebutton;
	ui::IconButton	*testmodelview_normalsbutton;
	
}; // class TestModelView

} // namespace client

#endif // __INCLUDED_CLIENT_TESTMODELVIEW_H__
